package com.bcxin.runtime.apis.components;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.concurrent.atomic.AtomicBoolean;

@Component
public class FormMetaHandlerInterceptor implements HandlerInterceptor {
    private static final Logger logger = LoggerFactory.getLogger(FormMetaHandlerInterceptor.class);

    private static final AtomicBoolean hasReadFromRedis = new AtomicBoolean(false);
    @Override
    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object handler) throws Exception {
        try {
            boolean flag = HandlerInterceptor.super.preHandle(request, response, handler);
            if (flag) {
                request.getHeader("acl");
            }
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }

        return true;
    }
}
